*{
    padding: 0px;
    margin: 0px;
    box-sizing: border-box;
}

body{
    background-color: #f4f4f4;
    font-family: 'Oswald', sans-serif;
    line-height: 1.41;
}

header{
    background-color: white;
    box-shadow: 0px 2px 15px rgba(0,0,0,0.1);
    position: fixed;
    width: 100%;
    z-index: 80;
}

header a{
    display: inline-block;
    padding: 15px;
}

ul, a{
    text-decoration: none;
    list-style: none; 
}

#logo{
    display: inline-block;
    width: -webkit-calc(100% - 210px);
    width:    -moz-calc(100% - 210px);
    width:         calc(100% - 210px);
}

header #logo img{
    width: 120px
}

.nav-toggle{
    display: inline-block;
    width: 170px;
    text-align: right;

}

.google-link{
    display: inline-block;
    width: 80%; 
    text-align: right;
}

.nav-toggle-icon{
    display: inline-block;
    width: 10%;
    font-size: 1.5em;
    color: gray;
    vertical-align: bottom;
}

.nav-toggle-icon i{
    padding-bottom: 10px;
}

.nav-toggle-options{
    display: none;
    background-color: #f4f4f4;
    position:absolute;
    right: 20px;
    width: 150px;
    box-shadow: 0px 10px 20px rgba(0,0,0,0.5);
    z-index: 1;
}

.nav-toggle-options a{
    color: black;
    width: 100%;
    position: block;
}


.nav-toggle:hover .nav-toggle-options{
    display: block;
}

.nav-toggle-options a:hover{
    background-color: white;
}


#timesheet{
    position: relative;
}

#timesheet .container{
    background-image: linear-gradient(rgb(255,0,0,0.6), rgb(255,0,0,0.9)), url('../img/background-img.jpg');
    background-size: cover; 
    background-attachment: fixed;
    padding: 10px;
    text-align: center;
    max-width: 1200px;
    position: relative;
    margin-left: auto;
    margin-right: auto;   
}

.timesheet-title{
    position: absolute;
    top: 75px;
    left: 0;
    right: 0;
    margin-left: auto;
    margin-right: auto; 
    padding: 10px;
    margin: 10px;
    background-color: #f4f4f4;
    color: red;
}

#timesheet-dates{
    padding-top: 150px;
    margin-left: auto;
    margin-right: auto;
    display: block;
    width: 100%;
}

#timesheet-dates .date-selector{
    margin: 5px;
}

#timesheet-dates label{
    display: inline-block;
    width:30%;
    color: white;
    text-align: left;
}

#timesheet-dates input{
    display: inline-block;
    width:67%;
    padding: 8px;
    border: 1px solid rgb(0,0,0,0.1);
    border-radius: 10px;
    text-align: center;
}

#timesheet-table{
    display: block;
    padding: 10px;
}

.employee{
    max-height: inherit;
    background-color: #f4f4f4;
    border-radius: 10px;
    padding: 5px;
    margin: 5px;
}

.employee-in{
    color: rgb(111, 182, 5);
}

.table-field{
    border: 1px solid rgb(0,0,0,0.2);
    border-radius: 7px;
    padding: 5px;
    margin: 1px;
}

.employee-name{
    display: inline-block;
    width: 65%;
}

.employee-total{
    display: inline-block;
    width: 32%;
}

.employee-total span{
    color: red;
}

.employee-reports{
    display: none;
}

.report {
    display: inline-block;
    width:50%;
    vertical-align: top;
}

.report .date{
    display: inline-block;
    width: 100%;
    background-color: red;
    color: white;
}

.report .type{
    display: inline-block;
    width: 45%;
}

.report .hours{
    /*display: inline-block;
    width: 45%;*/
    display: block;
}

.in-type{
    border: 2px solid green;
    background-color:  rgb(0, 255, 0, 0.1)
}

.out-type{
    border: 2px solid red;
    background-color:  rgb(255, 0, 0, 0.1)
}

.loader {
    margin: 5rem auto;
    text-align: center; 
}

.loader svg {
    height: 5.5rem;
    width: 5.5rem;
    fill: rgb(255,0,0,0.5);
    transform-origin: 44% 50%;
    animation: rotate 1.5s infinite linear; 
}

#timesheet-history{
    display: block;
    border-radius: 10px;
    padding: 10px; 
}

.history-title, .horizontal-title{
    padding: 10px;
    background-color: #f4f4f4;
    color: red;
    margin-bottom: 10px;
}

.history-container, .horizontal-container{
    display: inline-block;
    width:100%;
    margin: 5px 0px;
}

.history-entries{
    display: none;
    text-align: left;
    padding: 5px;
    border-radius: 10px;
}

.history-date, .horizontal-date{
    background-color:  rgb(255,0,0,0.8);
    color: white;
    padding: 5px;
    border-radius: 10px;
}

.employee-entry{
    background-color: #f4f4f4;
    border-radius: 10px;
    margin: 5px;
}

.employee-entry .time{
    display:inline-block;
    width: 15%;
    padding: 5px;
}

.employee-entry .employee-name{
    display:inline-block;
    width: 70%;
    padding: 5px;
}

.horizontal-container{
    text-align: left;
    background-color: #f4f4f4;
}

.horizontal-employee, .horizontal-dates{
    padding: 5px;
}

.horizontal-employee .employee-name, .horizontal-date-empty{
    display:inline-block;
    width: 40%;
    text-align: left;
}

.horizontal-employee .employee-date, .horizontal-date{
    display:inline-block;
    width: 55%;
    text-align: center;
}

.enter-time, .total-time, .exit-time{
    display:inline-block;
    width: 30%;
}

.enter-time{
    color: green;
}

.exit-time{
    color: red;
}

.paginationButtons{
    text-align: right;
    padding: 10px 30px;
}

.prev-btn, .next-btn{
    display: inline-block;
    width: 28%;
}

.prev-btn{
    text-align: left;
}

.prev-btn:hover, .next-btn:hover{
    color: red;
}

.show{
    display: block;
}

@keyframes rotate {
    0% {
      transform: rotate(0); }
    100% {
      transform: rotate(360deg); } 
}


@media screen and (min-width: 600px){

    .report {
        display: inline-block;
        width:28%;
        vertical-align: top;
    }

    #timesheet-dates .date-selector{
        display: inline-block;
        width: 46%;
    }

    .horizontal-employee .employee-name, .horizontal-date-empty{
        width: 35%;
    }
    
    .horizontal-employee .employee-date, .horizontal-date{
        width: 30%;
    }

    .prev-btn, .next-btn{
        display: inline-block;
        width: 33%;
    }

}

@media screen and (min-width: 1000px){

    .report {
        display: inline-block;
        width:14%;
        vertical-align: top;
    }

    #timesheet-dates{
        display: inline-block;
        width: 50%;
        text-align: left;
    }

    .horizontal-employee .employee-name, .horizontal-date-empty{
        width: 18%;
    }
    
    .horizontal-employee .employee-date, .horizontal-date{
        width: 16%;
    }

    .prev-btn, .next-btn{
        display: inline-block;
        width: 41%;
    }
}

